import * as React from 'react';
import { IgrStyle } from "igniteui-react-core";
import { IgrShapeSeriesBase, IIgrShapeSeriesBaseProps } from "./igr-shape-series-base";
import { ScatterPolylineSeries } from "./ScatterPolylineSeries";
/**
 * Series class used for displaying multiple polylines for datasources which contain multiple lists of points.
*/
export declare class IgrScatterPolylineSeries extends IgrShapeSeriesBase<IIgrScatterPolylineSeriesProps & React.HTMLAttributes<HTMLElement>> {
    protected createImplementation(): ScatterPolylineSeries;
    /**
                                 * @hidden
                                 */
    get i(): ScatterPolylineSeries;
    constructor(props: IIgrScatterPolylineSeriesProps & React.HTMLAttributes<HTMLElement>);
    /**
     * Gets whether the current series shows a polyline shape.
    */
    get isPolyline(): boolean;
    /**
     * The default style to apply to all Shapes in the series.
    */
    get shapeStyle(): IgrStyle;
    set shapeStyle(v: IgrStyle);
    findByName(name: string): any;
}
export interface IIgrScatterPolylineSeriesProps extends IIgrShapeSeriesBaseProps {
    /**
     * The default style to apply to all Shapes in the series.
    */
    shapeStyle?: IgrStyle;
}
